## edu.cwru.SimpleRTS.model
Interface Model

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  SimpleModel

    public interface Model

extends java.io.Serializable

Method Summary
`void` `createNewWorld()`
`void` `executeStep()` Execute actions and do anything else that needs to be done
`State.StateView` `getState()`
`boolean` `isTerminated()`
`void` `setActions(Action[] action)` Set the actions to be executed

Method Detail

### createNewWorld

    void createNewWorld()

### isTerminated

    boolean isTerminated()

### setActions

    void setActions(Action[] action)

  Set the actions to be executed

  Parameters:
    `action` -

### executeStep

    void executeStep()

  Execute actions and do anything else that needs to be done

### getState

    State.StateView getState()